<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getScriptExpGain](./bitburner.ns.getscriptexpgain.md)

## NS.getScriptExpGain() method

Get the exp gain of a script.

**Signature:**

```typescript
getScriptExpGain(script: string, host: string, ...args: (string | number | boolean)[]): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  script | string | Filename of script. |
|  host | string | Server on which script is running. |
|  args | (string \| number \| boolean)\[\] | Arguments that the script is running with. |

**Returns:**

number

Amount of hacking experience the specified script generates while online.

## Remarks

RAM cost: 0.1 GB

Returns the amount of hacking experience the specified script generates while online (when the game is open, does not apply for offline experience gains). Remember that a script is uniquely identified by both its name and its arguments.

This function can also return the total experience gain rate of all of your active scripts by running the function with no arguments.

